From 8ef0287e6a8aebb64c8051261d7823551184c4fe Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Thu, 20 Jun 2019 16:14:58 +0200
Subject: [PATCH 1/2] libfilezilla: update to 0.17.1.

---
 srcpkgs/libfilezilla/template | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/libfilezilla/template b/srcpkgs/libfilezilla/template
index 4d220683255..3fcc2a9dd2b 100644
--- a/srcpkgs/libfilezilla/template
+++ b/srcpkgs/libfilezilla/template
@@ -1,18 +1,25 @@
 # Template file for 'libfilezilla'
 # filezilla needs to be rebuilt when libfilezilla version changes, ABI is not stable
 pkgname=libfilezilla
-version=0.16.0
-revision=2
+version=0.17.1
+revision=1
 build_style=gnu-configure
 configure_args="--disable-static"
 hostmakedepends="pkg-config"
-makedepends="nettle-devel"
+makedepends="nettle-devel gnutls-devel"
 short_desc="Small and modern C++ library, which offers some basic functionalities"
 maintainer="bra1nwave <brainwave@openmailbox.org>"
 license="GPL-2.0-or-later"
 homepage="https://lib.filezilla-project.org/"
 distfiles="https://download.filezilla-project.org/${pkgname}/${pkgname}-${version}.tar.bz2"
-checksum=3b6c4be3c57ad5e6e9bcfd365222e95db7f52d2f6a165a9c93747f4aeb0ea7b9
+checksum=d3ef141b8e5816384f686bd6d67fddcfb04be1cd7804d47df8b4b8b81365d3b2
+
+case "$XBPS_TARGET_MACHINE" in
+	armv[56]*|ppc|ppc-musl*)
+		makedepends+=" libatomic-devel"
+		LDFLAGS+=" -latomic"
+		;;
+esac
 
 libfilezilla-devel_package() {
 	short_desc+=" - development files"

From 1241a9f4c2c126d86f4d3fd98a32fa2d790985c1 Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Thu, 27 Jun 2019 20:50:21 +0200
Subject: [PATCH 2/2] filezilla: update to 3.43.0.

---
 srcpkgs/filezilla/patches/libtool.patch | 11 -----------
 srcpkgs/filezilla/template              |  4 ++--
 2 files changed, 2 insertions(+), 13 deletions(-)
 delete mode 100644 srcpkgs/filezilla/patches/libtool.patch

diff --git a/srcpkgs/filezilla/patches/libtool.patch b/srcpkgs/filezilla/patches/libtool.patch
deleted file mode 100644
index b11c3ca7839..00000000000
--- a/srcpkgs/filezilla/patches/libtool.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- src/interface/Makefile.in	2019-05-08 10:46:51.003218135 +0200
-+++ src/interface/Makefile.in	2019-05-08 10:47:13.641898259 +0200
-@@ -815,7 +815,7 @@
- 	$(IDN_LIB) $(LIBSQLITE3_LIBS) $(am__append_5) $(LIBGTK_LIBS)
- dist_noinst_DATA = interface.vcxproj
- @MACAPPBUNDLE_TRUE@noinst_DATA = $(top_builddir)/FileZilla.app/Contents/MacOS/filezilla$(EXEEXT)
--@MACAPPBUNDLE_TRUE@filezilla_LIBTOOLFLAGS = --tag=CXX
-+filezilla_LIBTOOLFLAGS = --tag=CXX
- @MACAPPBUNDLE_TRUE@filezilla_OBJCXXFLAGS = -std=gnu++14
- CLEANFILES = filezilla.h.gch
- MAINTAINERCLEANFILES = ./$(DEPDIR)/filezilla.Po
diff --git a/srcpkgs/filezilla/template b/srcpkgs/filezilla/template
index 95428cb6a80..db85add2c09 100644
--- a/srcpkgs/filezilla/template
+++ b/srcpkgs/filezilla/template
@@ -1,6 +1,6 @@
 # Template file for 'filezilla'
 pkgname=filezilla
-version=3.42.1
+version=3.43.0
 revision=1
 build_style=gnu-configure
 configure_args="--disable-static --disable-manualupdatecheck --disable-autoupdatecheck
@@ -15,7 +15,7 @@ license="GPL-2.0-or-later"
 homepage="https://filezilla-project.org"
 changelog="https://svn.filezilla-project.org/filezilla/FileZilla3/trunk/NEWS?view=co"
 distfiles="https://download.filezilla-project.org/client/FileZilla_${version}_src.tar.bz2"
-checksum=4fc62e3b137707344d3fc0ebd65b85e428ac394ac9fd3a2efc3a78cebc667e20
+checksum=6fe652c360682f860abe2dc2e196bddca6260242cefe6fe779d42c327c01258e
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" wxWidgets-gtk3-devel xdg-utils"
